import * as $dara from '@darabonba/typescript';
import { ListAgentlessAssetResponseBody } from "./ListAgentlessAssetResponseBody";
export declare class ListAgentlessAssetResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: ListAgentlessAssetResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
